org.icefaces.ace.component.gmap

## Class GMapAutocompleteBase

- java.lang.Object
- - javax.faces.component.UIComponent
  - - javax.faces.component.UIComponentBase
    - - javax.faces.component.UIPanel
      - - org.icefaces.ace.component.gmap.GMapAutocompleteBase

- All Implemented Interfaces:
    java.util.EventListener, javax.faces.component.PartialStateHolder, javax.faces.component.StateHolder, javax.faces.component.TransientStateHolder, javax.faces.event.ComponentSystemEventListener, javax.faces.event.FacesListener, javax.faces.event.SystemEventListenerHolder, IGMapAutocomplete
  Direct Known Subclasses:
    GMapAutocomplete

      public abstract class GMapAutocompleteBase
      extends javax.faces.component.UIPanel
      implements IGMapAutocomplete

  An Icesoft implementation of Google's Places autocomplete tool. The ace:gMapAutocomplete component will create a text box which will provide locations that match the currently typed string, then return information about the selected location such as the types Google has assigned to it, or the url to Google's information page on it. For more information, see the gMap Wiki Documentation.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `protected static class` | `GMapAutocompleteBase.PropertyKeys`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `COMPONENT_TYPE`
    `static java.lang.String` | `RENDERER_TYPE`

    - ### Fields inherited from class javax.faces.component.UIPanel

      `COMPONENT_FAMILY`

    - ### Fields inherited from class javax.faces.component.UIComponent

      `ATTRS_WITH_DECLARED_DEFAULT_VALUES, BEANINFO_KEY, bindings, COMPOSITE_COMPONENT_TYPE_KEY, COMPOSITE_FACET_NAME, CURRENT_COMPONENT, CURRENT_COMPOSITE_COMPONENT, FACETS_KEY, HONOR_CURRENT_COMPONENT_ATTRIBUTES_PARAM_NAME, VIEW_LOCATION_KEY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `GMapAutocompleteBase()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getAddress()` Return the value of the `address` property.
    `java.lang.String` | `getFamily()`
    `java.lang.String` | `getLatLng()` Return the value of the `latLng` property.
    `java.lang.String` | `getOffset()` Return the value of the `offset` property.
    `java.lang.String` | `getSize()` Return the value of the `size` property.
    `java.lang.String` | `getStyle()` Return the value of the `style` property.
    `java.lang.String` | `getTypes()` Return the value of the `types` property.
    `java.lang.String` | `getUrl()` Return the value of the `url` property.
    `java.lang.String` | `getWindowOptions()` Return the value of the `windowOptions` property.
    `protected boolean` | `isPropertySet(java.lang.String finder)`
    `boolean` | `isWindow()` Return the value of the `window` property.
    `void` | `setAddress(java.lang.String address)` Set the value of the `address` property.
    `void` | `setLatLng(java.lang.String latLng)` Set the value of the `latLng` property.
    `void` | `setOffset(java.lang.String offset)` Set the value of the `offset` property.
    `void` | `setSize(java.lang.String size)` Set the value of the `size` property.
    `void` | `setStyle(java.lang.String style)` Set the value of the `style` property.
    `void` | `setTypes(java.lang.String types)` Set the value of the `types` property.
    `void` | `setUrl(java.lang.String url)` Set the value of the `url` property.
    `void` | `setValueExpression(java.lang.String name, javax.el.ValueExpression binding)`
    `void` | `setWindow(boolean window)` Set the value of the `window` property.
    `void` | `setWindowOptions(java.lang.String windowOptions)` Set the value of the `windowOptions` property.

    - ### Methods inherited from class javax.faces.component.UIComponentBase

      `addClientBehavior, addFacesListener, broadcast, clearInitialState, decode, encodeBegin, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getClientBehaviors, getClientId, getDefaultEventName, getEventNames, getFacesContext, getFacesListeners, getFacet, getFacetCount, getFacets, getFacetsAndChildren, getId, getListenersForEventClass, getParent, getRenderer, getRendererType, getRendersChildren, getValueBinding, invokeOnComponent, isRendered, isTransient, markInitialState, processDecodes, processRestoreState, processSaveState, processUpdates, processValidators, queueEvent, removeFacesListener, restoreAttachedState, restoreState, saveAttachedState, saveState, setId, setParent, setRendered, setRendererType, setTransient, setValueBinding, subscribeToEvent, unsubscribeFromEvent`

    - ### Methods inherited from class javax.faces.component.UIComponent

      `encodeAll, getClientId, getCompositeComponentParent, getContainerClientId, getCurrentComponent, getCurrentCompositeComponent, getNamingContainer, getResourceBundleMap, getStateHelper, getStateHelper, getTransientStateHelper, getTransientStateHelper, getValueExpression, initialStateMarked, isCompositeComponent, isInView, isVisitable, popComponentFromEL, processEvent, pushComponentToEL, restoreTransientState, saveTransientState, setInView, visitTree`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### COMPONENT_TYPE

          public static final java.lang.String COMPONENT_TYPE

      See Also:
        Constant Field Values

    - #### RENDERER_TYPE

          public static final java.lang.String RENDERER_TYPE

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### GMapAutocompleteBase

          public GMapAutocompleteBase()

  - ### Method Detail

    - #### getFamily

          public java.lang.String getFamily()

      Overrides:
        `getFamily` in class `javax.faces.component.UIPanel`

    - #### setAddress

          public void setAddress(java.lang.String address)

      Set the value of the `address` property.

      Contents: The backing bean property to store the text value of the address selected by gMapAutocomplete.

      Specified by:
        `setAddress` in interface `IGMapAutocomplete`

    - #### getAddress

          public java.lang.String getAddress()

      Return the value of the `address` property.

      Contents: The backing bean property to store the text value of the address selected by gMapAutocomplete.

      Specified by:
        `getAddress` in interface `IGMapAutocomplete`

    - #### setLatLng

          public void setLatLng(java.lang.String latLng)

      Set the value of the `latLng` property.

      Contents: The backing bean property to store the lat/lng coordinates of the address selected by gMapAutocomplete. Format: "(0.000000,0.000000)".

      Specified by:
        `setLatLng` in interface `IGMapAutocomplete`

    - #### getLatLng

          public java.lang.String getLatLng()

      Return the value of the `latLng` property.

      Contents: The backing bean property to store the lat/lng coordinates of the address selected by gMapAutocomplete. Format: "(0.000000,0.000000)".

      Specified by:
        `getLatLng` in interface `IGMapAutocomplete`

    - #### setOffset

          public void setOffset(java.lang.String offset)

      Set the value of the `offset` property.

      Contents: Value to shift the map after finding new location, in pixels. (useful for mobile devices) Form is x,y.

      Specified by:
        `setOffset` in interface `IGMapAutocomplete`

    - #### getOffset

          public java.lang.String getOffset()

      Return the value of the `offset` property.

      Contents: Value to shift the map after finding new location, in pixels. (useful for mobile devices) Form is x,y. Default = '0,0'.

      Specified by:
        `getOffset` in interface `IGMapAutocomplete`

    - #### setSize

          public void setSize(java.lang.String size)

      Set the value of the `size` property.

      Contents: Desired size of the input box.

      Specified by:
        `setSize` in interface `IGMapAutocomplete`

    - #### getSize

          public java.lang.String getSize()

      Return the value of the `size` property.

      Contents: Desired size of the input box. Default = '30'.

      Specified by:
        `getSize` in interface `IGMapAutocomplete`

    - #### setStyle

          public void setStyle(java.lang.String style)

      Set the value of the `style` property.

      Contents: Styling options to be sent to the autocomplete box.

      Specified by:
        `setStyle` in interface `IGMapAutocomplete`

    - #### getStyle

          public java.lang.String getStyle()

      Return the value of the `style` property.

      Contents: Styling options to be sent to the autocomplete box.

      Specified by:
        `getStyle` in interface `IGMapAutocomplete`

    - #### setTypes

          public void setTypes(java.lang.String types)

      Set the value of the `types` property.

      Contents: The backing bean property to store the array of types that Google determines match the address selected by gMapAutocomplete.

      Specified by:
        `setTypes` in interface `IGMapAutocomplete`

    - #### getTypes

          public java.lang.String getTypes()

      Return the value of the `types` property.

      Contents: The backing bean property to store the array of types that Google determines match the address selected by gMapAutocomplete.

      Specified by:
        `getTypes` in interface `IGMapAutocomplete`

    - #### setUrl

          public void setUrl(java.lang.String url)

      Set the value of the `url` property.

      Contents: The backing bean property to store the url attributed to the address selected by gMapAutocomplete.

      Specified by:
        `setUrl` in interface `IGMapAutocomplete`

    - #### getUrl

          public java.lang.String getUrl()

      Return the value of the `url` property.

      Contents: The backing bean property to store the url attributed to the address selected by gMapAutocomplete. Default = 'https://maps.google.com/maps/place'.

      Specified by:
        `getUrl` in interface `IGMapAutocomplete`

    - #### setWindow

          public void setWindow(boolean window)

      Set the value of the `window` property.

      Contents: Determine whether or not to display an Info Window with information on the selected point.

      Specified by:
        `setWindow` in interface `IGMapAutocomplete`

    - #### isWindow

          public boolean isWindow()

      Return the value of the `window` property.

      Contents: Determine whether or not to display an Info Window with information on the selected point. Default = 'true'.

      Specified by:
        `isWindow` in interface `IGMapAutocomplete`

    - #### setWindowOptions

          public void setWindowOptions(java.lang.String windowOptions)

      Set the value of the `windowOptions` property.

      Contents: Additional options to be sent to the info window displayed. Check google maps API for more specifics at https://developers.google.com/maps/documentation/javascript/reference#AutocompleteOptions. Form is attribute:'value'.

      Specified by:
        `setWindowOptions` in interface `IGMapAutocomplete`

    - #### getWindowOptions

          public java.lang.String getWindowOptions()

      Return the value of the `windowOptions` property.

      Contents: Additional options to be sent to the info window displayed. Check google maps API for more specifics at https://developers.google.com/maps/documentation/javascript/reference#AutocompleteOptions. Form is attribute:'value'. Default = 'none'.

      Specified by:
        `getWindowOptions` in interface `IGMapAutocomplete`

    - #### isPropertySet

          protected boolean isPropertySet(java.lang.String finder)

    - #### setValueExpression

          public void setValueExpression(java.lang.String name,
                                         javax.el.ValueExpression binding)

      Overrides:
        `setValueExpression` in class `javax.faces.component.UIComponent`

Copyright 2025 ICEsoft Technologies Canada, Corp. All Rights Reserved.